%define upstream_name    Games-FrozenBubble
%define upstream_version 2.212

%define title		Frozen Bubble
%define longtitle	Frozen Bubble arcade game

# TODO 
#  server package, with initscript, for people wanting to have a complete
#   server
#  zeroconf integration, with this initscript ( and in konqueror )
Name:		frozen-bubble
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Frozen Bubble arcade game
License:	GPLv2+
Group:		Games/Arcade
Url:		http://www.frozen-bubble.org/
Source:     http://www.frozen-bubble.org/data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	glib2-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	smpeg-devel
BuildRequires:	perl(Alien::SDL)
BuildRequires:	perl(Archive::Extract)
BuildRequires:  perl(Compress::Bzip2)
BuildRequires:  perl(IPC::System::Simple)
BuildRequires:  perl(Locale::Maketext::Extract)
BuildRequires:	perl(SDL)
BuildRequires:  perl(autodie)
BuildRequires:  perl(parent)
BuildRequires:	perl-devel
BuildRequires:	SDL_Pango-devel 
BuildRequires:  perl-Module-Build
BuildRequires:  perl-File-ShareDir
BuildRequires:  perl-Class-Inspector
BuildRequires:  perl-Capture-Tiny
Requires:	perl-SDL >= 2.400.0
Requires:   perl-Tie-Simple
Requires:   perl-Class-Inspector
Requires:   perl-Capture-Tiny
Requires:   perl-File-Which
Obsoletes:	frozen-bubble-server-common < 2.212

%description
A Puzzle Bobble / Bust-a-Move like game featuring colorful 3D rendered
penguin animations, 100 levels, local and Internet-based multiplayer,
a level editor, 3 professional quality digital soundtracks, 15 stereo
sound effects, 8 unique graphical transition effects, 8 unique logo
eye-candies.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export CFLAGS="%{optflags} -Wno-error=unused-result"
%{__perl} Build.PL installdirs=vendor
./Build --perl=%{__perl}


%install
./Build install --perl=%{__perl} destdir=%{buildroot}
rm -f %{buildroot}/%{_gamesdatadir}/frozen-bubble/gfx/shoot/create.pl

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/frozenbubble.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Frozen-Bubble
Comment=Frozen Bubble arcade game
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF


install -m 644 share/icons/frozen-bubble-icon-16x16.png -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 share/icons/frozen-bubble-icon-32x32.png -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 share/icons/frozen-bubble-icon-48x48.png -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Games/FrozenBubble/CStuff/CStuff.so
chmod 0755 %buildroot/usr/bin/fb-server

%files
%doc README AUTHORS COPYING META.yml HISTORY
%{_bindir}/*
%{perl_vendorarch}/*
%{_mandir}/*/*
%{_datadir}/applications/frozenbubble.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Jan 06 2018 bb2 <bb2> - 2.212-5pclos2018
- rebuild

* Thu Jul 13 2017 bb2 <bb2> - 2.212-4pclos2017
- add missing dep

* Thu Jul 13 2017 bb2 <bb2> - 2.212-3pclos2017
- rebuild against updates
